You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
 

36 lines
1.4 KiB

language: ruby
branches:
only:
- master
- rails-3-develop
rvm:
- 1.8.7-p374
- 1.9.3
- 2.0.0
env:
global:
- S3_REGION=us-east-1
- S3_BUCKET_NAME=alaveteli-bundle-cache
- secure: "cbZMhxbih4k2syqykwVprnBBTyD9Rk9pVhwM2W1Oa3Y9QIn79giL2yTUrJi3+bapHHFedWstG1wkLxEalc/Ei1G4vWYDqXiOtdzYR/WMqqCyd8royrkusist+rVcolvZ2dTCu8uvmteQ6sE3/FsoayTlYJmWCNFWhAiWayaai8Q="
before_install:
- gem update --system 2.1.11
- gem install rake --version=0.9.2.2
- git submodule update --init --recursive
- psql -c "create database template_utf8 template template0 encoding 'UTF-8';" -U postgres
- psql -c "update pg_database set datistemplate=true where datname='template_utf8';" -U postgres
- psql -c "create database foi_test template template_utf8;" -U postgres
- cp config/database.yml-test config/database.yml
- cp config/general.yml-example config/general.yml
- cp config/newrelic.yml-example config/newrelic.yml
- sudo apt-get update
- export DEBIAN_FRONTEND=noninteractive
- sudo apt-get -y install exim4-daemon-light
- sudo apt-get -y install `cut -d " " -f 1 config/packages | egrep -v "(^#|wkhtml|bundler|^ruby$|^ruby1.8$|^rubygems$|^rake)"`
- RAILS_ENV=test ./script/rails-post-deploy
- RAILS_ENV=test ./script/update-xapian-index
install: echo 'Bundle installed through script/rails-post-deploy'
notifications:
irc: "irc.freenode.org#alaveteli"
email:
recipients:
- cron-whatdotheyknow@mysociety.org